Bug 1403775 - Middleware - Second Domain - Servers are mixed
Summary: Middleware - Second Domain - Servers are mixed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Jirka Kremser
QA Contact: Hayk Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-12 11:04 UTC by Hayk Hovsepyan
Modified: 2018-07-25 16:39 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:31:58 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Hayk Hovsepyan 2016-12-12 11:04:48 UTC
Description of problem:
When starting second EAP7 Domain with HA, domain mode servers of first EAP7 Domain are gone in Hawkular Inventory.

Version-Release number of selected component (if applicable):
0.23.0.Final-redhat-1
5.7.0.14-rc4.20161206165848_b5cb87f 


How reproducible:
always

Steps to Reproduce:
Have Hawkular Provider in CFME.
1. Start EAP7 Domain with some name, HA configured to that Hawkular Provider.
2. Verify that in CFME Hawkular Provider, servers are listed, in my case 3 servers.
3. Start second EAP7 Domain with another name, HA configured to that Hawkular Provider.
4. In CFME Hawkular Provider, you can see that first 3 servers are gone, and it shows only the second Domain mode servers.

Actual results:
There is mess in Hawkular Provider list of Servers.

Expected results:
All domain mode servers should be listed.

Comment 1 Hayk Hovsepyan 2016-12-12 12:13:11 UTC
Also, Power operations do not work on new servers. No logs on server side.

Comment 2 Jirka Kremser 2016-12-20 14:39:12 UTC
Hayk, by "HA" you mean the hawkular agent not high availability, right? It's not so clear from the context.

Comment 3 Hayk Hovsepyan 2017-01-02 07:43:36 UTC
Yes by "HA" I mean Hawkular Agent.

Comment 4 Jirka Kremser 2017-01-04 14:23:03 UTC
https://github.com/ManageIQ/manageiq/pull/13347

Comment 10 Hayk Hovsepyan 2017-05-11 13:57:41 UTC
Verified on revision 5.8.0.14-rc3.20170509175238_5dbf87a

Comment 12 errata-xmlrpc 2017-05-31 14:31:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.